package com.atlassian.stash.internal.web.soy.functions.nav;

import com.atlassian.soy.renderer.JsExpression;
import com.atlassian.bitbucket.nav.NavBuilder;

/**
 * @since 2.4
 */
public class RepoPermissionsNavFunction extends BaseRepoNavFunction {

    public RepoPermissionsNavFunction(NavBuilder navBuilder) {
        super(navBuilder, "nav_repo_perms");
    }

    @Override
    protected JsNavBuilder initJsBuilder(JsExpression... jsExpressions) {
        return repo(jsExpressions).callMethod("permissions");
    }

    @Override
    protected NavBuilder.Builder initBuilder(Object... args) {
        return repo(args).permissions();
    }

}
